Call Legs

Get Call Leg Info

GET
/v1/CallLegs/{sid}

Returns the specified Call Leg information. If includeFees is true, fees are included into result.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

sid*string

Call Leg Sid.

Match^(CL)[0-9a-f]{48}$

Query Parameters

includeFees?boolean

If true, fees are included into result.

Response Body

curl -X GET "https://example.com/v1/CallLegs/string"
{  "sid": "string",  "callSid": "string",  "from": "+12145678900",  "to": "+19876543210",  "status": "Ringing",  "direction": "Inbound",  "duration": "string",  "createdOn": "2023-09-09T15:00:00.000Z",  "rangOn": "2023-09-09T15:00:00.000Z",  "answeredOn": "2023-09-09T15:00:00.000Z",  "completedOn": "2023-09-09T15:00:00.000Z",  "fees": [    {      "count": 0,      "feePerUnit": 0,      "total": 0    }  ]}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",  "title": "Not found",  "status": 404,  "detail": "Not found detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}